Subject: [TR] Transmission 1st Gear and Clutch

From: Rochlin Robert <[email-masked]>
Date: Thu, 25 Apr 2019 08:15:07 -0400

I appreciate all the replies to my clutch question.  A number of folks suggested the Toyota 6 speed conversion as a solution of the clutch issues.  If I used my LBC as a true daily driver I think that 6 speed conversion would be an elegant solution to some of the TR6 driveline foibles.  Since My Triumph is a daily driver only in the summer and mostly for joy rides, I'm going to stick with the stock components as my own preference is to drive and experience the car as it was in 1972.  The transmission and overdrive have proved to be dependable (except fo the this latest difficulty) and I like the feel of the old car. 
	Growing up my father had a  auto repair shop in the Dorchester section of Boston. I can remember that advent of disc brakes, the first tubeless tires and   24 cent a gallon gas. Now gas is $3.00 a gallon, cars don’t use drum brakes, and it’s difficult to find a tube for your wire wheels, or 30wt non detergent oil off the shelf. It’s fun to drive a car that's a time machine back to those Dorchester days.  As we used to say at Rocky’s Service Station, “I’m going to pull the tranny”  this week. 
Bob Rochlin
’72 TR6
** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]